CacheUtils (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache.query

## Class CacheUtils

- java.lang.Object
- - org.apache.geode.cache.query.CacheUtils

-     public class CacheUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `closeCache()`
    `static boolean` | `compareResultsOfWithAndWithoutIndex(SelectResults[][] r)`
    `static void` | `compareResultsOfWithAndWithoutIndex(SelectResults[][] r, java.lang.Object test)`
    `static Region` | `createRegion(Region parentRegion, java.lang.String regionName, java.lang.Class valueConstraint)`
    `static Region` | `createRegion(java.lang.String regionName, java.lang.Class valueConstraint)`
    `static Region` | `createRegion(java.lang.String regionName, java.lang.Class valueConstraint, boolean indexMaintenanceSynchronous)`
    `static Region` | `createRegion(java.lang.String regionName, java.lang.Class valueConstraint, Scope scope)`
    `static Region` | `createRegion(java.lang.String regionName, RegionAttributes regionAttributes, boolean flag)`
    `static org.apache.geode.internal.cache.InternalCache` | `getCache()`
    `static CacheTransactionManager` | `getCacheTranxnMgr()`
    `static LogWriter` | `getLogger()`
    `static QueryService` | `getQueryService()`
    `static Region` | `getRegion(java.lang.String regionPath)`
    `static void` | `log(java.lang.Object message)`
    `static void` | `restartCache()`
    `static void` | `startCache()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheUtils

          public CacheUtils()

  - ### Method Detail

    - #### getCache

          public static org.apache.geode.internal.cache.InternalCache getCache()

    - #### startCache

          public static void startCache()

    - #### closeCache

          public static void closeCache()

    - #### restartCache

          public static void restartCache()

    - #### createRegion

          public static Region createRegion(java.lang.String regionName,
                                            java.lang.Class valueConstraint,
                                            Scope scope)

    - #### createRegion

          public static Region createRegion(java.lang.String regionName,
                                            RegionAttributes regionAttributes,
                                            boolean flag)

    - #### createRegion

          public static Region createRegion(java.lang.String regionName,
                                            java.lang.Class valueConstraint)

    - #### createRegion

          public static Region createRegion(java.lang.String regionName,
                                            java.lang.Class valueConstraint,
                                            boolean indexMaintenanceSynchronous)

    - #### createRegion

          public static Region createRegion(Region parentRegion,
                                            java.lang.String regionName,
                                            java.lang.Class valueConstraint)

    - #### getRegion

          public static Region getRegion(java.lang.String regionPath)

    - #### getQueryService

          public static QueryService getQueryService()

    - #### getLogger

          public static LogWriter getLogger()

    - #### log

          public static void log(java.lang.Object message)

    - #### getCacheTranxnMgr

          public static CacheTransactionManager getCacheTranxnMgr()

    - #### compareResultsOfWithAndWithoutIndex

          public static void compareResultsOfWithAndWithoutIndex(SelectResults[][] r,
                                                                 java.lang.Object test)

    - #### compareResultsOfWithAndWithoutIndex

          public static boolean compareResultsOfWithAndWithoutIndex(SelectResults[][] r)